You can stream and read files to a sentry DSN glitchtip or sentry itself I was fed up with how brittle sentry-cli was so I made this. 

I might get around to making a whole CI/CD process for this which will upload the executables properly at some point and make this public.
# Go Glitch

Go Glitch is a command-line utility that reads log messages from a file or stdin and sends them to Glitchtip, a self-hosted Sentry-compatible error tracking system.

## Installation

To install the binary locally, you can use the provided installation script. Run the following command in your terminal:

```sh
curl -sSL https://git.nixc.us/Nixius/go-glitch/raw/branch/master/install.sh | bash
```

This will download and install the Go Glitch binary to your local machine.

## Usage

You can use Go Glitch by specifying a log file as an argument or by piping input to it.

### Using a Log File

```sh
go-glitch /path/to/logfile
```

### Using Piped Input

```sh
cat /path/to/logfile | go-glitch
```

## Configuration

Go Glitch requires the `GLITCHTIP_DSN` environment variable to be set with your Glitchtip DSN. You can set this environment variable in your shell environment, Dockerfile, or `docker-compose.yml` file.

### Shell Environment

Add the following line to your `.zshrc` or `.bashrc` file:

```sh
export GLITCHTIP_DSN="your-glitchtip-dsn"
```

After adding the line, reload your shell configuration:

```sh
source ~/.zshrc # for zsh users
source ~/.bashrc # for bash users
```

### Dockerfile

If you are using a Docker container, add the environment variable in your `Dockerfile`:

```Dockerfile
ENV GLITCHTIP_DSN=your-glitchtip-dsn
```

### docker-compose.yml

If you are using Docker Compose, add the environment variable in your `docker-compose.yml` file:

```yaml
version: '3.8'

services:
  go-glitch:
    image: your-docker-image
    environment:
      - GLITCHTIP_DSN=your-glitchtip-dsn
```
